import React from 'react';
import { render, screen } from '@testing-library/react';
import { BasicView } from './BasicView';
describe('BasicView tests', function () {
    it('should render styled paper with children', function () {
        var className = 'myClass';
        render(React.createElement(BasicView, { className: className },
            React.createElement("div", { "data-reltio-id": "child" })));
        var child = screen.getByTestId('child');
        expect(child).toBeInTheDocument();
        expect(child.parentElement).toHaveClass(className);
    });
});
